﻿using Infragistics.Windows.DockManager;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XamDockManagerFlyIn
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            // Register preview mouse down events on the flyout tabs
            EventManager.RegisterClassHandler(typeof(PaneTabItem),
              Mouse.PreviewMouseDownEvent,
              new RoutedEventHandler(OnPaneTabItemMouseDown), true);
        }

        // handles preview mouse down events on flyout tab headers to open/close tab
        // when not pinned
        private void OnPaneTabItemMouseDown(object sender, RoutedEventArgs e)
        {
            PaneTabItem pti = sender as PaneTabItem;
            if (pti != null)
            {
                ContentPane pane = pti.Pane as ContentPane;
                if (pane != null)
                {
                    if (pane != XamDockManager.GetDockManager(pane).CurrentFlyoutPane)
                    {
                        pane.ExecuteCommand(ContentPaneCommands.Flyout);
                    }
                    else
                    {
                        pane.ExecuteCommand(ContentPaneCommands.FlyIn);
                    }


                }
            }
        }

    }
}
